Package: groovy.swing.factory

## [Groovy] Class SwingBorderFactory

- groovy.swing.factory.SwingBorderFactory

-     abstract class SwingBorderFactory
      extends AbstractFactory

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwingBorderFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
    `` | `void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### SwingBorderFactory()

  - ### Method Detail

    - #### boolean isLeaf()

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

    - #### void setParent(FactoryBuilderSupport builder, Object parent, Object child)